org.apache.xmpbox.schema

## Class XMPMediaManagementSchema

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractComplexProperty
    - - org.apache.xmpbox.type.AbstractStructuredType
      - - org.apache.xmpbox.schema.XMPSchema
        - - org.apache.xmpbox.schema.XMPMediaManagementSchema

    public class XMPMediaManagementSchema
    extends XMPSchema

Representation of XMPMediaManagement Schema

Author:
  gbailleul

### Field Summary

Fields
`static String` `DERIVED_FROM`
`static String` `DOCUMENTID`
`static String` `HISTORY`
`static String` `INGREDIENTS`
`static String` `INSTANCEID`
`static String` `LAST_URL`
`static String` `MANAGED_FROM`
`static String` `MANAGER`
`static String` `MANAGERVARIANT`
`static String` `MANAGETO`
`static String` `MANAGEUI`
`static String` `ORIGINALDOCUMENTID`
`static String` `RENDITION_OF`
`static String` `RENDITIONCLASS`
`static String` `RENDITIONPARAMS`
`static String` `SAVE_ID`
`static String` `VERSIONID`
`static String` `VERSIONS`

### Fields inherited from class org.apache.xmpbox.type.AbstractStructuredType

`STRUCTURE_ARRAY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`XMPMediaManagementSchema(XMPMetadata metadata)` Constructor of XMPMediaManagement Schema with preferred prefix
`XMPMediaManagementSchema(XMPMetadata metadata, String ownPrefix)` Constructor of XMPMediaManagementSchema schema with specified prefix

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `addHistory(String history)` Add a History Value
`void` `addIngredients(String ingredients)` Add an Ingredients value
`void` `addVersions(String value)`
`ResourceRefType` `getDerivedFromProperty()` Get DerivedFrom property
`String` `getDocumentID()` Get DocumentId value
`TextType` `getDocumentIDProperty()` Get DocumentId property
`List<String>` `getHistory()` Deprecated. This method will be removed in 4.0 because it produces a ClassCastException. Use `getHistoryProperty()` instead.
`ArrayProperty` `getHistoryProperty()` Get History Property
`List<String>` `getIngredients()` Get List of Ingredients values
`ArrayProperty` `getIngredientsProperty()` .
`String` `getInstanceID()` Get InstanceId value
`TextType` `getInstanceIDProperty()` Get InstanceId property
`String` `getLastURL()` Get DocumentId value
`URLType` `getLastURLProperty()` Get DocumentId property
`ResourceRefType` `getManagedFromProperty()` get ManageFrom Property
`String` `getManager()` Get Manager value
`TextType` `getManagerProperty()` Get Manager property
`String` `getManagerVariant()` Get ManagerVariant value
`TextType` `getManagerVariantProperty()` Get ManagerVariant property
`String` `getManageTo()` get ManageTo value
`TextType` `getManageToProperty()` get ManageTo property
`String` `getManageUI()` Get ManageUI Value
`TextType` `getManageUIProperty()` Get ManageUI property
`String` `getOriginalDocumentID()` Get OriginalDocumentId value
`TextType` `getOriginalDocumentIDProperty()` Get OriginalDocumentId property
`String` `getRenditionClass()` Get RenditionClass value
`TextType` `getRenditionClassProperty()` Get RenditionClass property
`String` `getRenditionParams()` Get RenditionParams value
`TextType` `getRenditionParamsProperty()` Get RenditionParams property
`ResourceRefType` `getResourceRefProperty()` Deprecated. call `getDerivedFromProperty()`.
`Integer` `getSaveID()` Get DocumentId value
`IntegerType` `getSaveIDProperty()` Get DocumentId property
`String` `getVersionID()` Get VersionId value
`TextType` `getVersionIDProperty()` Get VersionId property
`List<String>` `getVersions()`
`ArrayProperty` `getVersionsProperty()` Get Versions property
`void` `setDerivedFromProperty(ResourceRefType tt)` Set DerivedFrom property
`void` `setDocumentID(String url)` Set DocumentId value
`void` `setDocumentIDProperty(URIType tt)` Set DocumentId Property
`void` `setInstanceID(String value)` Set InstanceId value
`void` `setInstanceIDProperty(URIType tt)` Set InstanceId property
`void` `setLastURL(String url)` Set DocumentId value
`void` `setLastURLProperty(URLType tt)` Set DocumentId Property
`void` `setManagedFromProperty(ResourceRefType managedFrom)` set ManageFrom Property
`void` `setManager(String value)` Set Manager value
`void` `setManagerProperty(AgentNameType tt)` Set Manager property
`void` `setManagerVariant(String value)` Set ManagerVariant value
`void` `setManagerVariantProperty(TextType tt)` Set ManagerVariant Property
`void` `setManageTo(String value)` Set ManageTo Value
`void` `setManageToProperty(URIType tt)` Set ManageTo property
`void` `setManageUI(String value)` Set ManageUI value
`void` `setManageUIProperty(URIType tt)` Set ManageUI property
`void` `setOriginalDocumentID(String url)` Set OriginalDocumentId value
`void` `setOriginalDocumentIDProperty(TextType tt)` Set OriginalDocumentId property
`void` `setRenditionClass(String value)` Set renditionClass Value
`void` `setRenditionClassProperty(RenditionClassType tt)` Set RenditionClass Property
`void` `setRenditionParams(String url)` Set RenditionParams Value
`void` `setRenditionParamsProperty(TextType tt)` Set RenditionParams property
`void` `setSaveId(Integer url)` Set DocumentId value
`void` `setSaveIDProperty(IntegerType tt)` Set DocumentId Property
`void` `setVersionID(String value)` Set VersionId value
`void` `setVersionIDProperty(TextType tt)` Set VersionId property

### Methods inherited from class org.apache.xmpbox.schema.XMPSchema

`addBagValue, addBagValueAsSimple, addQualifiedBagValue, addSequenceDateValueAsSimple, addUnqualifiedSequenceDateValue, addUnqualifiedSequenceValue, addUnqualifiedSequenceValue, getAboutAttribute, getAboutValue, getAbstractProperty, getBooleanProperty, getBooleanPropertyValue, getBooleanPropertyValueAsSimple, getDateProperty, getDatePropertyValue, getDatePropertyValueAsSimple, getIntegerProperty, getIntegerPropertyValue, getIntegerPropertyValueAsSimple, getUnqualifiedArrayList, getUnqualifiedBagValueList, getUnqualifiedLanguagePropertyLanguagesValue, getUnqualifiedLanguagePropertyValue, getUnqualifiedSequenceDateValueList, getUnqualifiedSequenceValueList, getUnqualifiedTextProperty, getUnqualifiedTextPropertyValue, instanciateSimple, merge, removeUnqualifiedArrayValue, removeUnqualifiedBagValue, removeUnqualifiedSequenceDateValue, removeUnqualifiedSequenceValue, removeUnqualifiedSequenceValue, reorganizeAltOrder, setAbout, setAboutAsSimple, setBooleanProperty, setBooleanPropertyValue, setBooleanPropertyValueAsSimple, setDateProperty, setDatePropertyValue, setDatePropertyValueAsSimple, setIntegerProperty, setIntegerPropertyValue, setIntegerPropertyValueAsSimple, setTextProperty, setTextPropertyValue, setTextPropertyValueAsSimple, setUnqualifiedLanguagePropertyValue`

### Methods inherited from class org.apache.xmpbox.type.AbstractStructuredType

`addSimpleProperty, createArrayProperty, createTextType, getDatePropertyAsCalendar, getNamespace, getPreferedPrefix, getPrefix, getPropertyValueAsString, setNamespace, setPrefix`

### Methods inherited from class org.apache.xmpbox.type.AbstractComplexProperty

`addNamespace, addProperty, getAllNamespacesWithPrefix, getAllProperties, getArrayProperty, getContainer, getFirstEquivalentProperty, getNamespacePrefix, getProperty, removeProperty`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LAST_URL

    public static final String LAST_URL

See Also:
  Constant Field Values

#### RENDITION_OF

    public static final String RENDITION_OF

See Also:
  Constant Field Values

#### SAVE_ID

    public static final String SAVE_ID

See Also:
  Constant Field Values

#### DERIVED_FROM

    public static final String DERIVED_FROM

See Also:
  Constant Field Values

#### DOCUMENTID

    public static final String DOCUMENTID

See Also:
  Constant Field Values

#### MANAGER

    public static final String MANAGER

See Also:
  Constant Field Values

#### MANAGETO

    public static final String MANAGETO

See Also:
  Constant Field Values

#### MANAGEUI

    public static final String MANAGEUI

See Also:
  Constant Field Values

#### MANAGERVARIANT

    public static final String MANAGERVARIANT

See Also:
  Constant Field Values

#### INSTANCEID

    public static final String INSTANCEID

See Also:
  Constant Field Values

#### MANAGED_FROM

    public static final String MANAGED_FROM

See Also:
  Constant Field Values

#### ORIGINALDOCUMENTID

    public static final String ORIGINALDOCUMENTID

See Also:
  Constant Field Values

#### RENDITIONCLASS

    public static final String RENDITIONCLASS

See Also:
  Constant Field Values

#### RENDITIONPARAMS

    public static final String RENDITIONPARAMS

See Also:
  Constant Field Values

#### VERSIONID

    public static final String VERSIONID

See Also:
  Constant Field Values

#### VERSIONS

    public static final String VERSIONS

See Also:
  Constant Field Values

#### HISTORY

    public static final String HISTORY

See Also:
  Constant Field Values

#### INGREDIENTS

    public static final String INGREDIENTS

See Also:
  Constant Field Values

### Constructor Detail

#### XMPMediaManagementSchema

    public XMPMediaManagementSchema(XMPMetadata metadata)

Constructor of XMPMediaManagement Schema with preferred prefix

Parameters:
  `metadata` - The metadata to attach this schema

#### XMPMediaManagementSchema

    public XMPMediaManagementSchema(XMPMetadata metadata,
                                    String ownPrefix)

Constructor of XMPMediaManagementSchema schema with specified prefix

Parameters:
  `metadata` - The metadata to attach this schema
  `ownPrefix` - The prefix to assign

### Method Detail

#### setDerivedFromProperty

    public void setDerivedFromProperty(ResourceRefType tt)

Set DerivedFrom property

Parameters:
  `tt` - DerivedFrom property to set

#### getResourceRefProperty

    @Deprecated
    public ResourceRefType getResourceRefProperty()

Deprecated. call `getDerivedFromProperty()`.
Get ResourceRef property

Returns:
  ResourceRef property

#### getDerivedFromProperty

    public ResourceRefType getDerivedFromProperty()

Get DerivedFrom property

Returns:
  DerivedFrom property

#### setDocumentID

    public void setDocumentID(String url)

Set DocumentId value

Parameters:
  `url` - DocumentId value to set

#### setDocumentIDProperty

    public void setDocumentIDProperty(URIType tt)

Set DocumentId Property

Parameters:
  `tt` - DocumentId Property to set

#### getDocumentIDProperty

    public TextType getDocumentIDProperty()

Get DocumentId property

Returns:
  DocumentId property

#### getDocumentID

    public String getDocumentID()

Get DocumentId value

Returns:
  DocumentId value

#### setLastURL

    public void setLastURL(String url)

Set DocumentId value

Parameters:
  `url` - DocumentId value to set

#### setLastURLProperty

    public void setLastURLProperty(URLType tt)

Set DocumentId Property

Parameters:
  `tt` - DocumentId Property to set

#### getLastURLProperty

    public URLType getLastURLProperty()

Get DocumentId property

Returns:
  DocumentId property

#### getLastURL

    public String getLastURL()

Get DocumentId value

Returns:
  DocumentId value

#### setSaveId

    public void setSaveId(Integer url)

Set DocumentId value

Parameters:
  `url` - DocumentId value to set

#### setSaveIDProperty

    public void setSaveIDProperty(IntegerType tt)

Set DocumentId Property

Parameters:
  `tt` - DocumentId Property to set

#### getSaveIDProperty

    public IntegerType getSaveIDProperty()

Get DocumentId property

Returns:
  DocumentId property

#### getSaveID

    public Integer getSaveID()

Get DocumentId value

Returns:
  DocumentId value

#### setManager

    public void setManager(String value)

Set Manager value

Parameters:
  `value` - Manager value to set

#### setManagerProperty

    public void setManagerProperty(AgentNameType tt)

Set Manager property

Parameters:
  `tt` - Manager property to set

#### getManagerProperty

    public TextType getManagerProperty()

Get Manager property

Returns:
  Manager property

#### getManager

    public String getManager()

Get Manager value

Returns:
  Manager value

#### setManageTo

    public void setManageTo(String value)

Set ManageTo Value

Parameters:
  `value` - ManageTo Value to set

#### setManageToProperty

    public void setManageToProperty(URIType tt)

Set ManageTo property

Parameters:
  `tt` - ManageTo property to set

#### getManageToProperty

    public TextType getManageToProperty()

get ManageTo property

Returns:
  ManageTo property

#### getManageTo

    public String getManageTo()

get ManageTo value

Returns:
  ManageTo value

#### setManageUI

    public void setManageUI(String value)

Set ManageUI value

Parameters:
  `value` - ManageUI value to set

#### setManageUIProperty

    public void setManageUIProperty(URIType tt)

Set ManageUI property

Parameters:
  `tt` - ManageUI property to set

#### getManageUIProperty

    public TextType getManageUIProperty()

Get ManageUI property

Returns:
  ManageUI property

#### getManageUI

    public String getManageUI()

Get ManageUI Value

Returns:
  ManageUI Value

#### setManagerVariant

    public void setManagerVariant(String value)

Set ManagerVariant value

Parameters:
  `value` - ManagerVariant value to set

#### setManagerVariantProperty

    public void setManagerVariantProperty(TextType tt)

Set ManagerVariant Property

Parameters:
  `tt` - ManagerVariant Property to set

#### getManagerVariantProperty

    public TextType getManagerVariantProperty()

Get ManagerVariant property

Returns:
  ManagerVariant property

#### getManagerVariant

    public String getManagerVariant()

Get ManagerVariant value

Returns:
  ManagerVariant value

#### setInstanceID

    public void setInstanceID(String value)

Set InstanceId value

Parameters:
  `value` - InstanceId value to set

#### setInstanceIDProperty

    public void setInstanceIDProperty(URIType tt)

Set InstanceId property

Parameters:
  `tt` - InstanceId property to set

#### getInstanceIDProperty

    public TextType getInstanceIDProperty()

Get InstanceId property

Returns:
  InstanceId property

#### getInstanceID

    public String getInstanceID()

Get InstanceId value

Returns:
  InstanceId value

#### setManagedFromProperty

    public void setManagedFromProperty(ResourceRefType managedFrom)

set ManageFrom Property

Parameters:
  `managedFrom` - ManageFrom Property to set

#### getManagedFromProperty

    public ResourceRefType getManagedFromProperty()

get ManageFrom Property

Returns:
  ManageFrom Property

#### setOriginalDocumentID

    public void setOriginalDocumentID(String url)

Set OriginalDocumentId value

Parameters:
  `url` - OriginalDocumentId value to set

#### setOriginalDocumentIDProperty

    public void setOriginalDocumentIDProperty(TextType tt)

Set OriginalDocumentId property

Parameters:
  `tt` - OriginalDocumentId property to set

#### getOriginalDocumentIDProperty

    public TextType getOriginalDocumentIDProperty()

Get OriginalDocumentId property

Returns:
  OriginalDocumentId property

#### getOriginalDocumentID

    public String getOriginalDocumentID()

Get OriginalDocumentId value

Returns:
  OriginalDocumentId value

#### setRenditionClass

    public void setRenditionClass(String value)

Set renditionClass Value

Parameters:
  `value` - renditionClass Value to set

#### setRenditionClassProperty

    public void setRenditionClassProperty(RenditionClassType tt)

Set RenditionClass Property

Parameters:
  `tt` - renditionClass Property to set

#### getRenditionClassProperty

    public TextType getRenditionClassProperty()

Get RenditionClass property

Returns:
  RenditionClass property

#### getRenditionClass

    public String getRenditionClass()

Get RenditionClass value

Returns:
  RenditionClass value

#### setRenditionParams

    public void setRenditionParams(String url)

Set RenditionParams Value

Parameters:
  `url` - RenditionParams Value to set

#### setRenditionParamsProperty

    public void setRenditionParamsProperty(TextType tt)

Set RenditionParams property

Parameters:
  `tt` - RenditionParams property to set

#### getRenditionParamsProperty

    public TextType getRenditionParamsProperty()

Get RenditionParams property

Returns:
  RenditionParams property

#### getRenditionParams

    public String getRenditionParams()

Get RenditionParams value

Returns:
  RenditionParams value

#### setVersionID

    public void setVersionID(String value)

Set VersionId value

Parameters:
  `value` - VersionId value to set

#### setVersionIDProperty

    public void setVersionIDProperty(TextType tt)

Set VersionId property

Parameters:
  `tt` - VersionId property to set

#### getVersionIDProperty

    public TextType getVersionIDProperty()

Get VersionId property

Returns:
  VersionId property

#### getVersionID

    public String getVersionID()

Get VersionId value

Returns:
  VersionId value

#### addVersions

    public void addVersions(String value)

#### getVersionsProperty

    public ArrayProperty getVersionsProperty()

Get Versions property

Returns:
  version property to set

#### getVersions

    public List<String> getVersions()

#### addHistory

    public void addHistory(String history)

Add a History Value

Parameters:
  `history` - History Value to add

#### getHistoryProperty

    public ArrayProperty getHistoryProperty()

Get History Property

Returns:
  History Property

#### getHistory

    @Deprecated
    public List<String> getHistory()

Deprecated. This method will be removed in 4.0 because it produces a ClassCastException. Use `getHistoryProperty()` instead.
Get List of History values

Returns:
  List of History values

#### addIngredients

    public void addIngredients(String ingredients)

Add an Ingredients value

Parameters:
  `ingredients` - Ingredients value to add

#### getIngredientsProperty

    public ArrayProperty getIngredientsProperty()

. Get Ingredients Property

Returns:
  Ingredients property

#### getIngredients

    public List<String> getIngredients()

Get List of Ingredients values

Returns:
  List of Ingredients values